Current, commenti e/o problemi

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Biccio
Linux 0.x
Linux 0.x
Messaggi: 16
Iscritto il: mer 17 nov 2010, 1:48
Nome Cognome: Fabrizio
Slackware: 13.1
Kernel: 2.6.33.4
Desktop: KDE 4.4

Re: Current, commenti e/o problemi

Messaggio da Biccio »

o compilato le qt 4.7 e comunque non funziona (come facciao a sapere se sta usando le qt giuste )
(lo slackbuild non riesco a farlo funzionare )

hashbang
Packager
Packager
Messaggi: 1992
Iscritto il: ven 4 giu 2010, 10:27
Nome Cognome: Luca De Pandis
Distribuzione: macOS | OpenBSD
Località: Lecce / Bergamo
Contatta:

Re: Current, commenti e/o problemi

Messaggio da hashbang »

murdock ha scritto:RI-EDIT: puoi utilizzare questo slackbuild su 13.1: http://alien.slackbook.org/ktown/4.4.5/source/deps/qt/, non usare i pacchetti, sono per current!
Offtopic: quei pacchetti sono per slackware 13.1. Lo dice anche nel readme. il pacchetto qt può essere usato tranquillamente ;)
k8s | rook | flatcar | cert-manager | calico

Codice: Seleziona tutto

host$ kubectl get packager/hashbang -n slacky -o yaml

sircello
Linux 1.x
Linux 1.x
Messaggi: 108
Iscritto il: dom 2 gen 2005, 0:00
Nome Cognome: Natale Sircello
Slackware: Slackware 64 current
Kernel: Kernel 4.4.9
Desktop: KDE 4.14.14
Località: Campobello di Mazara

Re: Current, commenti e/o problemi

Messaggio da sircello »

Ma le versioni che usate sono stable o current

Avatar utente
conraid
Staff
Staff
Messaggi: 13474
Iscritto il: gio 14 lug 2005, 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Desktop: kde
Località: Livorno
Contatta:

Re: Current, commenti e/o problemi

Messaggio da conraid »

in effetti direi di postare commenti e/o problemi della -current, dopo gli ultimi aggiornamenti. Per la stable ci sono altre discussioni, o ne aprite di nuove. Non facciamo confusione

Avatar utente
murdock
Linux 2.x
Linux 2.x
Messaggi: 477
Iscritto il: ven 25 mag 2007, 12:58
Slackware: 64 14.1
Kernel: 3.18.3
Desktop: KDE 4.14.3
Contatta:

Re: Current, commenti e/o problemi

Messaggio da murdock »

atomix600 ha scritto: Offtopic: quei pacchetti sono per slackware 13.1. Lo dice anche nel readme. il pacchetto qt può essere usato tranquillamente ;)
Offtopic: Uhm, pensavo aggiornasse via via anche quelli...

Avatar utente
targzeta
Iper Master
Iper Master
Messaggi: 6562
Iscritto il: gio 3 nov 2005, 14:05
Nome Cognome: Emanuele Tomasi
Slackware: 64-current
Kernel: latest stable
Desktop: IceWM
Località: Carpignano Sal. (LE) <-> Pisa

Re: Current, commenti e/o problemi

Messaggio da targzeta »

Tornando alle gif animate per firefox. Da quello che ho capito forse il problema è dovuto alla libreria cairo. Non so se l'ho già detto ma la compilazione di firefox non funziona e il problema persiste. Qualcuno di voi ha risolto? Da quanto ho capito facendo un downgrade dovrebbe funzionare...ma non ho provato.

Emanuele
Linux Registered User #454438
Se pensi di essere troppo piccolo per fare la differenza, prova a dormire con una zanzara -- Dalai Lama
20/04/2013 - Io volevo Rodotà 

Avatar utente
targzeta
Iper Master
Iper Master
Messaggi: 6562
Iscritto il: gio 3 nov 2005, 14:05
Nome Cognome: Emanuele Tomasi
Slackware: 64-current
Kernel: latest stable
Desktop: IceWM
Località: Carpignano Sal. (LE) <-> Pisa

Re: Current, commenti e/o problemi

Messaggio da targzeta »

Allora, il problema effettivamente è la libreria cairo. Ho rimpiazzato il pacchetto della current con quello (cairo-1.8.8-x86_64-3.txz) della Slackware64 13.1 e il problema si è risolto.

Che si fa ora? Non sembrano esserci problemi, se qualcuno ha risolto in altro modo faccia sapere, altrimenti mi tengo questa libreria aspettando l'aggiornamento.

Emanuele
Linux Registered User #454438
Se pensi di essere troppo piccolo per fare la differenza, prova a dormire con una zanzara -- Dalai Lama
20/04/2013 - Io volevo Rodotà 

Biccio
Linux 0.x
Linux 0.x
Messaggi: 16
Iscritto il: mer 17 nov 2010, 1:48
Nome Cognome: Fabrizio
Slackware: 13.1
Kernel: 2.6.33.4
Desktop: KDE 4.4

Re: Current, commenti e/o problemi

Messaggio da Biccio »

atomix600 ha scritto:
murdock ha scritto:RI-EDIT: puoi utilizzare questo slackbuild su 13.1: http://alien.slackbook.org/ktown/4.4.5/source/deps/qt/, non usare i pacchetti, sono per current!
Offtopic: quei pacchetti sono per slackware 13.1. Lo dice anche nel readme. il pacchetto qt può essere usato tranquillamente ;)

ok ho sono riuscito a installare lo slackbuild (scaricadoli con chrome mi cambiava tutti i nomi e non partiva ) adesso funziona problema risolto grazie murdock

Vic Steele
Linux 3.x
Linux 3.x
Messaggi: 534
Iscritto il: dom 27 apr 2008, 13:46
Nome Cognome: Luigi Caiazza
Slackware: current x86_64
Kernel: 3.0.0
Desktop: Fluxbox / KDE 4.7.0
Distribuzione: Fedora 15
Località: Potenza
Contatta:

Re: Current, commenti e/o problemi

Messaggio da Vic Steele »

spina ha scritto:Allora, il problema effettivamente è la libreria cairo. Ho rimpiazzato il pacchetto della current con quello (cairo-1.8.8-x86_64-3.txz) della Slackware64 13.1 e il problema si è risolto.

Che si fa ora? Non sembrano esserci problemi, se qualcuno ha risolto in altro modo faccia sapere, altrimenti mi tengo questa libreria aspettando l'aggiornamento.

Emanuele
Detto in tutta sincerità, da quando ho compilato il cairo patchato io non ho più questo problema.
Prova anche tu, così vediamo se possiamo considerarlo una prima soluzione o se sono "fortunato" io.

Avatar utente
darkstaring
Linux 3.x
Linux 3.x
Messaggi: 639
Iscritto il: mer 13 ott 2010, 13:55
Nome Cognome: Francesco Achenza
Desktop: KDE
Distribuzione: Arch Linux
Contatta:

Re: Current, commenti e/o problemi

Messaggio da darkstaring »

A voi gli effetti di kde funzionano???
Se la composizione è attiva, quando apro una finestra ridotta a icona mi si riavvia X.
L'errore sembra essere dato da libglx , questo mi vien riportato nel log di X.. come posso risolvere?

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3558
Iscritto il: sab 26 giu 2004, 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: Current, commenti e/o problemi

Messaggio da Trotto@81 »

darkstaring ha scritto:A voi gli effetti di kde funzionano???
Se la composizione è attiva, quando apro una finestra ridotta a icona mi si riavvia X.
L'errore sembra essere dato da libglx , questo mi vien riportato nel log di X.. come posso risolvere?
Se arrivando nel forum chiedessi, ragazzi, mi si è rotto l'alternatore dell'auto, è un problema diffuso o lo sfigato sono io?

Leggendomi cosa ti chiederesti immediatamente? ;)

Avatar utente
conraid
Staff
Staff
Messaggi: 13474
Iscritto il: gio 14 lug 2005, 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Desktop: kde
Località: Livorno
Contatta:

Re: Current, commenti e/o problemi

Messaggio da conraid »

darkstaring ha scritto:A voi gli effetti di kde funzionano???
Se la composizione è attiva, quando apro una finestra ridotta a icona mi si riavvia X.
L'errore sembra essere dato da libglx , questo mi vien riportato nel log di X.. come posso risolvere?
spesso errori di questo tipo sono dati dai driver video. Non so cosa usi, ma se usi driver video chiusi, tipo ati o nvidia, prova ad aggiornare, reinstallare, downgradare.
Io per esempio ho vari problemi qui sul fisso. Tutte cose riproducibili e che nel notebook non compaiono, ne a 32 ne a 64 bit.
Penso proprio che sia colpa dei driver nvidia.

Prova a disabilitare gli effetti, e poi reintrodurli uno ad uno. A volte è solo uno che da errore.
Prova anche altri temi. Molti si lamentano di oxygen per esempio, quello di default, io ormai da anni uso solamente qtcurve per esempio

Avatar utente
robbybby
Linux 4.x
Linux 4.x
Messaggi: 1223
Iscritto il: sab 16 dic 2006, 10:48
Slackware: 13.1 / 64 bit
Kernel: 3.3.x
Desktop: KDE 4.4.5
Località: Fra Trantor e Terminus

Re: Current, commenti e/o problemi

Messaggio da robbybby »

Bellissimo il qtcurve! E poi ti dà lo stesso aspetto anche ai programmi GTK+, non solo a quelli KDE/QT.

zxzxasas
Linux 2.x
Linux 2.x
Messaggi: 397
Iscritto il: sab 15 nov 2008, 2:28
Nome Cognome: Pasquale
Slackware: current
Kernel: 2.6.35.7
Desktop: KDE 4.5.2

Re: Current, commenti e/o problemi

Messaggio da zxzxasas »

Ragazzi ho un problema!
Avevo installato Slackware Current del 14 settembre mi pare. Ieri ho aggiornato con rsync il sistema...
Ora alcune librerie non mi vengono più caricate! Esempi:

Codice: Seleziona tutto

[pasquale@DarkStar ~]$ firefox
/usr/lib64/firefox-3.6.12/firefox-bin: symbol lookup error: /usr/lib64/libgtk-x11-2.0.so.0: undefined symbol: gdk_pixbuf_get_type

Codice: Seleziona tutto

[pasquale@DarkStar ~]$ inkscape
inkscape: symbol lookup error: /usr/lib64/libgdkmm-2.4.so.1: undefined symbol: gdk_pixbuf_error_quark
Alcuni errori li ho risolti coi symlink, ma in alcuni casi non riesco a fare niente. E in ogni caso, mi sembra una procedura sporca e comunque insolita dato che ad esempio firefox 3.6.12 è un pacchetto della stessa Slackware!

Idee?

Avatar utente
conraid
Staff
Staff
Messaggi: 13474
Iscritto il: gio 14 lug 2005, 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Desktop: kde
Località: Livorno
Contatta:

Re: Current, commenti e/o problemi

Messaggio da conraid »

inkscape dovresti ricompilarlo, prova a prenderlo da slackers.it e guarda se ti va

firefox è strano, a me funziona normalmente, hai aggiornato tutto? io proverei a controllare con slackpkg

Rispondi